#!/bin/sh
# install.sh v0.9
#
# Copyright 2002 Julien Wajsberg <flash@rezosup.net>
#
# This file is part of IRCmap4rz.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
# By Flash <flash@rezosup.net>
# For RezoSup

scriptdir=`dirname $0`
currentdir=`pwd`

BOTNET_TAR_GZ=botnet4ircmap.tar.gz
AISEE_TGZ=aiSee-linux.tgz
CC=gcc
BOTNET_A=../makelib/.libs/libbotnet.a
LINKSGET_C=linksget.c
LINKSGET=linksget
IRCMAP_CONVERT=ircmap_convert.pl
IRCMAP_CREATE=ircmap_create.sh

CFLAGS=-pthread

BOLD="\033[1m"
RESET="\033[10;0m"

echo -e "${BOLD}Welcome to IRCmap4rz installation !${RESET}"
echo

if test ${scriptdir} != "." ; then
	echo "Error : you have to be in this script's directory !"
	exit -1
fi

if [ ! -f stamp-botnet ] ; then
	echo -e "${BOLD}Uncompressing ${BOTNET_TAR_GZ}..."
	tar -xzf ${BOTNET_TAR_GZ}

	cd botnet
	echo
	echo -e "${BOLD}Configuring botnet...${RESET}"
	./configure

	echo -e "${BOLD}Building botnet...${RESET}"
	make

	echo
	echo -e "${BOLD}Building linksget...${RESET}"
	cd example

	echo "${CC} -o ${LINKSGET} ${LINKSGET_C} ${BOTNET_A} ${CFLAGS}"
	${CC} -o ${LINKSGET} ${LINKSGET_C} ${BOTNET_A} ${CFLAGS}
	strip ${LINKSGET} 

	cp -f ${LINKSGET} ${currentdir}

	echo
	echo -e "${BOLD}Deleting botnet directory...${RESET}"
	cd ${currentdir}
	rm -rf botnet
	touch stamp-botnet
else
	echo "Botnet and linksget are already built."
	echo "If you want to rebuild them, please remove the file stamp-botnet in this directory"
fi

echo
echo -e "${BOLD}Install directory${RESET}"
read -p "Install directory (default: none) : " installdir
if [ ! -z "${installdir}" ] ; then
	echo
	echo -e "${BOLD}Installing IRCmap4rz files to ${installdir}...${RESET}"
	cp -fv ${LINKSGET} ${IRCMAP_CREATE} ${IRCMAP_CONVERT} ${installdir}
else
	echo -e "Ok, leaving files here."
fi

echo
echo -e "Now, you have to install yourself ${BOLD}aiSee${RESET} from http://www.absint.de/aisee"
echo "and to copy helvR12.vcf in IRCmap install directory"
echo -e "Don't forget to put ${BOLD}aiSee${RESET} directory in the path."
echo
echo -e "${BOLD}Install finished.${RESET}"

